Subject: Re: [net-next PATCH v4 0/3] leds: trigger: netdev: add additional modes

From: Christian Marangi <[email-masked]>
Date: Mon, 19 Jun 2023 22:48:15 +0200

On Mon, Jun 19, 2023 at 10:27:05PM +0200, Simon Horman wrote:
> On Sat, Jun 17, 2023 at 01:53:52PM +0200, Christian Marangi wrote:
> > This is a continue of [1]. It was decided to take a more gradual
> > approach to implement LEDs support for switch and phy starting with
> > basic support and then implementing the hw control part when we have all
> > the prereq done.
> > 
> > This should be the final part for the netdev trigger.
> > I added net-next tag and added netdev mailing list since I was informed
> > that this should be merged with netdev branch.
> > 
> > We collect some info around and we found a good set of modes that are
> > common in almost all the PHY and Switch.
> > 
> > These modes are:
> > - Modes for dedicated link speed(10, 100, 1000 mbps). Additional mode
> >   can be added later following this example.
> > - Modes for half and full duplex.
> > 
> > The original idea was to add hw control only modes.
> > While the concept makes sense in practice it would results in lots of 
> > additional code and extra check to make sure we are setting correct modes.
> > 
> > With the suggestion from Andrew it was pointed out that using the ethtool
> > APIs we can actually get the current link speed and duplex and this
> > effectively removed the problem of having hw control only modes since we
> > can fallback to software.
> > 
> > Since these modes are supported by software, we can skip providing an
> > user for this in the LED driver to support hw control for these new modes
> > (that will come right after this is merged) and prevent this to be another
> > multi subsystem series.
> > 
> > For link speed and duplex we use ethtool APIs.
> > 
> > To call ethtool APIs, rtnl lock is needed but this can be skipped on
> > handling netdev events as the lock is already held.
> > 
> > [1] https://lore.kernel.org/lkml/[email-masked]/
> 
> Hi Christian,
> 
> I am sorry if I am missing something obvious here,
> but this series does not appear to apply on top of net-next.
> 
> Please consider rebasing and reposting.
> 
> As you probably know, you can include the reviewed-by tags
> provided by Andrew for this posting, unless there are
> substantial changes.
> 
> -- 
> pw-bot: changes-requested
> 

Hi, sorry for the mistake. I just sent v5 and added the additional
Review-by tag.

-- 
	Ansuel